<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateSchShiftsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('sch_shifts', function (Blueprint $table) {
            $table->id();
            $table->string('name');
            $table->time('shift_start');
            $table->time('shift_end');
            $table->tinyInteger('status')->default(1);
            $table->string('legends');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('sch_shifts');
    }
}
